import { jsx } from "react/jsx-runtime";
import { TokenCGO as TokenCGO$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCGO = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "CGO", "data-name": "TokenCGO", ...props, children: /* @__PURE__ */ jsx(TokenCGO$1, { variant }) });
  }
);
TokenCGO.displayName = "TokenCGO";
Object.assign(TokenCGO, { isGdsIcon: true });
export {
  TokenCGO
};
